Subject: bug#26339: [PATCH 04/18] bootloader: Add install procedures and use them.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 16 Apr 2017 23:37:58 +0200

Hi Mathieu,

On Sat, 15 Apr 2017 19:15:46 +0200
Mathieu Othacehe <[email-masked]> wrote:

> Well you can have only one bootloader in MBR at a time, so even if you
> have multiple system generations with various bootloaders, only one is
> installed. But I might be wrong here ...

It's possible to install Grub to a partition.  So there could be one bootloader in the MBR and another bootloader chainloaded in the partition.  Also for multiple partitions.

If we decide that this use case isn't supported, that's fine.  Many other distros make the assumption that there's only one bootloader - which is sometimes good because you can have another bootloader the distribution doesn't know about (in addition to the one the distribution does know about) that supervises all the others.

Not sure how Grub finds its config file in the first place.  Does Grub itself support that scenario?  At least in my Libreboot BIOS I can chainload Grub from Grub - although I think the primary Grub is just picking up the secondary's config file and reloading or something.